#!/usr/bin/env ysh

if (${TRACE-0} ~== 1) {
  set -o xtrace
}

const INPUT = $1

proc main {
  var components = []
  var result = 0
  while read -r line {
    var matches = :| @(grep -o '[[:digit:]]' <<< ${line}) |
    call components->append(matches[0] ++ matches[-1])
  } < ${INPUT}
  for value in (components) {
    setvar result = result + value
  }
  echo ${result}
}

main
